<?php

add_action( 'after_setup_theme', 'cutheme_setup' );

function cutheme_setup()

{

load_theme_textdomain( 'cutheme', get_template_directory() . '/languages' );

add_theme_support( 'automatic-feed-links' );

add_theme_support( 'post-thumbnails' );

global $content_width;

if ( ! isset( $content_width ) ) $content_width = 640;

register_nav_menus(

array( 'main-menu' => __( 'Main Menu', 'cutheme' ) )

);

}

add_action( 'wp_enqueue_scripts', 'cutheme_load_scripts' );

function cutheme_load_scripts()

{

wp_enqueue_script( 'jquery' );

}

add_action( 'comment_form_before', 'cutheme_enqueue_comment_reply_script' );

function cutheme_enqueue_comment_reply_script()

{

if ( get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }

}

add_filter( 'the_title', 'cutheme_title' );

function cutheme_title( $title ) {

if ( $title == '' ) {

return '&rarr;';

} else {

return $title;

}

}

add_filter( 'wp_title', 'cutheme_filter_wp_title' );

function cutheme_filter_wp_title( $title )

{

return $title . esc_attr( get_bloginfo( 'name' ) );

}

add_action( 'widgets_init', 'cutheme_widgets_init' );

function cutheme_widgets_init()

{

register_sidebar( array (

'name' => __( 'Sidebar Widget Area', 'cutheme' ),

'id' => 'primary-widget-area',

'before_widget' => '<li id="%1$s" class="widget-container %2$s">',

'after_widget' => "</li>",

'before_title' => '<h3 class="widget-title">',

'after_title' => '</h3>',

) );

register_sidebar( array (

'name' => __( 'Online Banking Login', 'cutheme' ),

'id' => 'online-banking',

'before_widget' => '<div id="%1$s" class="formslide2 %2$s">',

'after_widget' => "</div>",

'before_title' => '<h5 class="widget-title">',

'after_title' => '</h5>',

) );

register_sidebar( array (

'name' => __( 'Borrow Calculator', 'cutheme' ),

'id' => 'borrow',

'before_widget' => '<div id="%1$s" class="formslide %2$s">',

'after_widget' => "</div>",

'before_title' => '<h5 class="widget-title">',

'after_title' => '</h5>',

) );

register_sidebar( array (

'name' => __( 'Intro Front', 'cutheme' ),

'id' => 'intro',

'before_widget' => '<div id="%1$s" class="container %2$s">',

'after_widget' => "</div>",

'before_title' => '<h1 class="widget-title">',

'after_title' => '</h1>',

) );

register_sidebar( array (

'name' => __( 'Services', 'cutheme' ),

'id' => 'services',

'before_widget' => '<div id="%1$s" class="wide-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h2 class="widget-title">',

'after_title' => '</h2>',

) );

register_sidebar( array (

'name' => __( 'Accounts', 'cutheme' ),

'id' => 'accounts',

'before_widget' => '<div id="%1$s" class="wide-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h2 class="widget-title">',

'after_title' => '</h2>',

) );

register_sidebar( array (

'name' => __( 'Rates', 'cutheme' ),

'id' => 'rates',

'before_widget' => '<div id="%1$s" class="wide-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h2 class="widget-title">',

'after_title' => '</h2>',

) );

register_sidebar( array (

'name' => __( 'Loans', 'cutheme' ),

'id' => 'loans',

'before_widget' => '<div id="%1$s" class="container %2$s">',

'after_widget' => "</div>",

'before_title' => '<h2 class="widget-title">',

'after_title' => '</h2>',

) );

register_sidebar( array (

'name' => __( 'Board of Directors', 'cutheme' ),

'id' => 'bod',

'before_widget' => '<div id="%1$s" class="wide-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h2 class="widget-title">',

'after_title' => '</h2>',

) );

register_sidebar( array (

'name' => __( 'Locations', 'cutheme' ),

'id' => 'locations',

'before_widget' => '<div id="%1$s" class="container %2$s">',

'after_widget' => "</div>",

'before_title' => '<h2 class="widget-title">',

'after_title' => '</h2>',

) );

register_sidebar( array (

'name' => __( 'Footer Section 1', 'cutheme' ),

'id' => 'footer-section-1',

'before_widget' => '<div id="%1$s" class="f-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h3 class="widget-title">',

'after_title' => '</h3>',

) );

register_sidebar( array (

'name' => __( 'Footer Section 2', 'cutheme' ),

'id' => 'footer-section-2',

'before_widget' => '<div id="%1$s" class="f-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h3 class="widget-title">',

'after_title' => '</h3>',

) );

register_sidebar( array (

'name' => __( 'Footer Section 3', 'cutheme' ),

'id' => 'footer-section-3',

'before_widget' => '<div id="%1$s" class="f-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h3 class="widget-title">',

'after_title' => '</h3>',

) );

register_sidebar( array (

'name' => __( 'Footer Section 4', 'cutheme' ),

'id' => 'footer-section-4',

'before_widget' => '<div id="%1$s" class="f-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h3 class="widget-title">',

'after_title' => '</h3>',

) );

register_sidebar( array (

'name' => __( 'Footer Logos', 'cutheme' ),

'id' => 'footer-logos',

'before_widget' => '<div id="%1$s" class="wide-wrap %2$s">',

'after_widget' => "</div>",

'before_title' => '<h3 class="widget-title">',

'after_title' => '</h3>',

) );

}

function cutheme_custom_pings( $comment )

{

$GLOBALS['comment'] = $comment;

?>

<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>"><?php echo comment_author_link(); ?></li>

<?php 

}

add_filter( 'get_comments_number', 'cutheme_comments_number' );

function cutheme_comments_number( $count )

{

if ( !is_admin() ) {

global $id;

$comments_by_type = &separate_comments( get_comments( 'status=approve&post_id=' . $id ) );

return count( $comments_by_type['comment'] );

} else {

return $count;

}

}

// Create Location

    add_action( 'init', 'create_post_type' );

    function create_post_type() {

            $args = array(

            'labels' => post_type_labels( 'Location' ),

            'public' => true,

            'publicly_queryable' => true,

            'show_ui' => true,

            'show_in_menu' => true,

            'query_var' => true,

            'rewrite' => true,

            'capability_type' => 'post',

            'has_archive' => true,

            'hierarchical' => false,

            'menu_position' => null,

            'supports' => array('title',

                'editor',

                'author',

                'thumbnail',

                'excerpt',

                'custom-fields',

                'comments'

            )

        );

     

            register_post_type( 'location', $args );

    }

    function post_type_labels( $singular, $plural = '' )

    {

        if( $plural == '') $plural = $singular .'s';

       

        return array(

            'name' => _x( $plural, 'post type general name' ),

            'singular_name' => _x( $singular, 'post type singular name' ),

            'add_new' => __( 'Add New' ),

            'add_new_item' => __( 'Add New '. $singular ),

            'edit_item' => __( 'Edit '. $singular ),

            'new_item' => __( 'New '. $singular ),

            'view_item' => __( 'View '. $singular ),

            'search_items' => __( 'Search '. $plural ),

            'not_found' =>  __( 'No '. $plural .' found' ),

            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),

            'parent_item_colon' => ''

        );

    }

    add_filter('post_updated_messages', 'post_type_updated_messages');

    function post_type_updated_messages( $messages ) {

            global $post, $post_ID;

     

            $messages['location'] = array(

                    0 => '', // Unused. Messages start at index 1.

                    1 => sprintf( __('Item updated. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    2 => __('Custom field updated.'),

                    3 => __('Custom field deleted.'),

                    4 => __('Item updated.'),

                    /* translators: %s: date and time of the revision */

                    5 => isset($_GET['revision']) ? sprintf( __('Item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,

                    6 => sprintf( __('Item published. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    7 => __('Item saved.'),

                    8 => sprintf( __('Item submitted. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

                    9 => sprintf( __('Item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview item</a>'),

                    // translators: Publish box date format, see php.net/date

                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),

                    10 => sprintf( __('Item draft updated. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

            );

     

            return $messages;

    }

// Create Account

    add_action( 'init', 'create_post_type_two' );

    function create_post_type_two() {

            $args = array(

            'labels' => post_type_labels( 'Account' ),

            'public' => true,

            'publicly_queryable' => true,

            'show_ui' => true,

            'show_in_menu' => true,

            'query_var' => true,

            'rewrite' => true,

            'capability_type' => 'post',

            'has_archive' => true,

            'hierarchical' => false,

            'menu_position' => null,

            'supports' => array('title',

                'editor',

                'author',

                'thumbnail',

                'excerpt',

                'custom-fields',

                'comments'

            )

        );

     

            register_post_type( 'account', $args );

    }

    function post_type_labels_two( $singular, $plural = '' )

    {

        if( $plural == '') $plural = $singular .'s';

       

        return array(

            'name' => _x( $plural, 'post type general name' ),

            'singular_name' => _x( $singular, 'post type singular name' ),

            'add_new' => __( 'Add New' ),

            'add_new_item' => __( 'Add New '. $singular ),

            'edit_item' => __( 'Edit '. $singular ),

            'new_item' => __( 'New '. $singular ),

            'view_item' => __( 'View '. $singular ),

            'search_items' => __( 'Search '. $plural ),

            'not_found' =>  __( 'No '. $plural .' found' ),

            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),

            'parent_item_colon' => ''

        );

    }

    add_filter('post_updated_messages', 'post_type_updated_messages');

    function post_type_updated_messages_two( $messages ) {

            global $post, $post_ID;

     

            $messages['account'] = array(

                    0 => '', // Unused. Messages start at index 1.

                    1 => sprintf( __('Item updated. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    2 => __('Custom field updated.'),

                    3 => __('Custom field deleted.'),

                    4 => __('Item updated.'),

                    /* translators: %s: date and time of the revision */

                    5 => isset($_GET['revision']) ? sprintf( __('Item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,

                    6 => sprintf( __('Item published. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    7 => __('Item saved.'),

                    8 => sprintf( __('Item submitted. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

                    9 => sprintf( __('Item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview item</a>'),

                    // translators: Publish box date format, see php.net/date

                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),

                    10 => sprintf( __('Item draft updated. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

            );

     

            return $messages;

    }

// Create Service

    add_action( 'init', 'create_post_type_three' );

    function create_post_type_three() {

            $args = array(

            'labels' => post_type_labels( 'Service' ),

            'public' => true,

            'publicly_queryable' => true,

            'show_ui' => true,

            'show_in_menu' => true,

            'query_var' => true,

            'rewrite' => true,

            'capability_type' => 'post',

            'has_archive' => true,

            'hierarchical' => false,

            'menu_position' => null,

            'supports' => array('title',

                'editor',

                'author',

                'thumbnail',

                'excerpt',

                'custom-fields',

                'comments'

            )

        );

     

            register_post_type( 'service', $args );

    }

    function post_type_labels_three( $singular, $plural = '' )

    {

        if( $plural == '') $plural = $singular .'s';

       

        return array(

            'name' => _x( $plural, 'post type general name' ),

            'singular_name' => _x( $singular, 'post type singular name' ),

            'add_new' => __( 'Add New' ),

            'add_new_item' => __( 'Add New '. $singular ),

            'edit_item' => __( 'Edit '. $singular ),

            'new_item' => __( 'New '. $singular ),

            'view_item' => __( 'View '. $singular ),

            'search_items' => __( 'Search '. $plural ),

            'not_found' =>  __( 'No '. $plural .' found' ),

            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),

            'parent_item_colon' => ''

        );

    }

    add_filter('post_updated_messages', 'post_type_updated_messages');

    function post_type_updated_messages_three( $messages ) {

            global $post, $post_ID;

     

            $messages['service'] = array(

                    0 => '', // Unused. Messages start at index 1.

                    1 => sprintf( __('Item updated. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    2 => __('Custom field updated.'),

                    3 => __('Custom field deleted.'),

                    4 => __('Item updated.'),

                    /* translators: %s: date and time of the revision */

                    5 => isset($_GET['revision']) ? sprintf( __('Item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,

                    6 => sprintf( __('Item published. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    7 => __('Item saved.'),

                    8 => sprintf( __('Item submitted. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

                    9 => sprintf( __('Item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview item</a>'),

                    // translators: Publish box date format, see php.net/date

                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),

                    10 => sprintf( __('Item draft updated. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

            );

     

            return $messages;

    }  

// Create Loan

    add_action( 'init', 'create_post_type_four' );

    function create_post_type_four() {

            $args = array(

            'labels' => post_type_labels( 'Loan' ),

            'public' => true,

            'publicly_queryable' => true,

            'show_ui' => true,

            'show_in_menu' => true,

            'query_var' => true,

            'rewrite' => true,

            'capability_type' => 'post',

            'has_archive' => true,

            'hierarchical' => false,

            'menu_position' => null,

            'supports' => array('title',

                'editor',

                'author',

                'thumbnail',

                'excerpt',

                'custom-fields',

                'comments'

            )

        );

     

            register_post_type( 'loan', $args );

    }

    function post_type_labels_four( $singular, $plural = '' )

    {

        if( $plural == '') $plural = $singular .'s';

       

        return array(

            'name' => _x( $plural, 'post type general name' ),

            'singular_name' => _x( $singular, 'post type singular name' ),

            'add_new' => __( 'Add New' ),

            'add_new_item' => __( 'Add New '. $singular ),

            'edit_item' => __( 'Edit '. $singular ),

            'new_item' => __( 'New '. $singular ),

            'view_item' => __( 'View '. $singular ),

            'search_items' => __( 'Search '. $plural ),

            'not_found' =>  __( 'No '. $plural .' found' ),

            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),

            'parent_item_colon' => ''

        );

    }

    add_filter('post_updated_messages', 'post_type_updated_messages');

    function post_type_updated_messages_four( $messages ) {

            global $post, $post_ID;

     

            $messages['loan'] = array(

                    0 => '', // Unused. Messages start at index 1.

                    1 => sprintf( __('Item updated. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    2 => __('Custom field updated.'),

                    3 => __('Custom field deleted.'),

                    4 => __('Item updated.'),

                    /* translators: %s: date and time of the revision */

                    5 => isset($_GET['revision']) ? sprintf( __('Item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,

                    6 => sprintf( __('Item published. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    7 => __('Item saved.'),

                    8 => sprintf( __('Item submitted. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

                    9 => sprintf( __('Item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview item</a>'),

                    // translators: Publish box date format, see php.net/date

                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),

                    10 => sprintf( __('Item draft updated. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

            );

     

            return $messages;

    }

// Create Rate

    add_action( 'init', 'create_post_type_five' );

    function create_post_type_five() {

            $args = array(

            'labels' => post_type_labels( 'Rate' ),

            'public' => true,

            'taxonomies' => array('category'),

            'publicly_queryable' => true,

            'show_ui' => true,

            'show_in_menu' => true,

            'query_var' => true,

            'rewrite' => true,

            'capability_type' => 'post',

            'has_archive' => true,

            'hierarchical' => false,

            'menu_position' => null,

            'supports' => array('title',

                'editor',

                'author',

                'thumbnail',

                'excerpt',

                'custom-fields',

                'comments'

            )

        );

     

            register_post_type( 'rate', $args );

    }

    function post_type_labels_five( $singular, $plural = '' )

    {

        if( $plural == '') $plural = $singular .'s';

       

        return array(

            'name' => _x( $plural, 'post type general name' ),

            'singular_name' => _x( $singular, 'post type singular name' ),

            'add_new' => __( 'Add New' ),

            'add_new_item' => __( 'Add New '. $singular ),

            'edit_item' => __( 'Edit '. $singular ),

            'new_item' => __( 'New '. $singular ),

            'view_item' => __( 'View '. $singular ),

            'search_items' => __( 'Search '. $plural ),

            'not_found' =>  __( 'No '. $plural .' found' ),

            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),

            'parent_item_colon' => ''

        );

    }

    add_filter('post_updated_messages', 'post_type_updated_messages');

    function post_type_updated_messages_five( $messages ) {

            global $post, $post_ID;

     

            $messages['rate'] = array(

                    0 => '', // Unused. Messages start at index 1.

                    1 => sprintf( __('Item updated. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    2 => __('Custom field updated.'),

                    3 => __('Custom field deleted.'),

                    4 => __('Item updated.'),

                    /* translators: %s: date and time of the revision */

                    5 => isset($_GET['revision']) ? sprintf( __('Item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,

                    6 => sprintf( __('Item published. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    7 => __('Item saved.'),

                    8 => sprintf( __('Item submitted. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

                    9 => sprintf( __('Item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview item</a>'),

                    // translators: Publish box date format, see php.net/date

                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),

                    10 => sprintf( __('Item draft updated. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

            );

     

            return $messages;

    }

// Create Executive

    add_action( 'init', 'create_post_type_seven' );

    function create_post_type_seven() {

            $args = array(

            'labels' => post_type_labels( 'Executive' ),

            'taxonomies' => array('category'),

            'public' => true,

            'publicly_queryable' => true,

            'show_ui' => true,

            'show_in_menu' => true,

            'query_var' => true,

            'rewrite' => true,

            'capability_type' => 'post',

            'has_archive' => true,

            'hierarchical' => false,

            'menu_position' => null,

            'supports' => array('title',

                'editor',

                'author',

                'thumbnail',

                'excerpt',

                'custom-fields',

                'comments'

            )

        );

     

            register_post_type( 'executive', $args );

    }

    function post_type_labels_seven( $singular, $plural = '' )

    {

        if( $plural == '') $plural = $singular .'s';

       

        return array(

            'name' => _x( $plural, 'post type general name' ),

            'singular_name' => _x( $singular, 'post type singular name' ),

            'add_new' => __( 'Add New' ),

            'add_new_item' => __( 'Add New '. $singular ),

            'edit_item' => __( 'Edit '. $singular ),

            'new_item' => __( 'New '. $singular ),

            'view_item' => __( 'View '. $singular ),

            'search_items' => __( 'Search '. $plural ),

            'not_found' =>  __( 'No '. $plural .' found' ),

            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),

            'parent_item_colon' => ''

        );

    }

    add_filter('post_updated_messages', 'post_type_updated_messages');

    function post_type_updated_messages_seven( $messages ) {

            global $post, $post_ID;

     

            $messages['executive'] = array(

                    0 => '', // Unused. Messages start at index 1.

                    1 => sprintf( __('Item updated. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    2 => __('Custom field updated.'),

                    3 => __('Custom field deleted.'),

                    4 => __('Item updated.'),

                    /* translators: %s: date and time of the revision */

                    5 => isset($_GET['revision']) ? sprintf( __('Item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,

                    6 => sprintf( __('Item published. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    7 => __('Item saved.'),

                    8 => sprintf( __('Item submitted. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

                    9 => sprintf( __('Item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview item</a>'),

                    // translators: Publish box date format, see php.net/date

                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),

                    10 => sprintf( __('Item draft updated. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

            );

     

            return $messages;

    }

// Create Career

    add_action( 'init', 'create_post_type_eight' );

    function create_post_type_eight() {

            $args = array(

            'labels' => post_type_labels( 'Career' ),

            'public' => true,

            'publicly_queryable' => true,

            'show_ui' => true,

            'show_in_menu' => true,

            'query_var' => true,

            'rewrite' => true,

            'capability_type' => 'post',

            'has_archive' => true,

            'hierarchical' => false,

            'menu_position' => null,

            'supports' => array('title',

                'editor',

                'author',

                'thumbnail',

                'excerpt',

                'custom-fields',

                'comments'

            )

        );

     

            register_post_type( 'career', $args );

    }

    function post_type_labels_eight( $singular, $plural = '' )

    {

        if( $plural == '') $plural = $singular .'s';

       

        return array(

            'name' => _x( $plural, 'post type general name' ),

            'singular_name' => _x( $singular, 'post type singular name' ),

            'add_new' => __( 'Add New' ),

            'add_new_item' => __( 'Add New '. $singular ),

            'edit_item' => __( 'Edit '. $singular ),

            'new_item' => __( 'New '. $singular ),

            'view_item' => __( 'View '. $singular ),

            'search_items' => __( 'Search '. $plural ),

            'not_found' =>  __( 'No '. $plural .' found' ),

            'not_found_in_trash' => __( 'No '. $plural .' found in Trash' ),

            'parent_item_colon' => ''

        );

    }

    add_filter('post_updated_messages', 'post_type_updated_messages');

    function post_type_updated_messages_eight( $messages ) {

            global $post, $post_ID;

     

            $messages['career'] = array(

                    0 => '', // Unused. Messages start at index 1.

                    1 => sprintf( __('Item updated. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    2 => __('Custom field updated.'),

                    3 => __('Custom field deleted.'),

                    4 => __('Item updated.'),

                    /* translators: %s: date and time of the revision */

                    5 => isset($_GET['revision']) ? sprintf( __('Item restored to revision from %s'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,

                    6 => sprintf( __('Item published. <a href="%s">View item</a>'), esc_url( get_permalink($post_ID) ) ),

                    7 => __('Item saved.'),

                    8 => sprintf( __('Item submitted. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

                    9 => sprintf( __('Item scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview item</a>'),

                    // translators: Publish box date format, see php.net/date

                    date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),

                    10 => sprintf( __('Item draft updated. <a target="_blank" href="%s">Preview item</a>'), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),

            );

     

            return $messages;

    }       

//Social Media Hooks

function my_customizer_social_media_array() {

 

// store social site names in array

$social_sites = array('twitter', 'facebook', 'google-plus', 'flickr', 'pinterest', 'youtube', 'vimeo', 'tumblr', 'dribbble', 'rss', 'linkedin', 'instagram');

 

return $social_sites;

}

//Theme Customizer Section

function cutheme_theme_customizer( $wp_customize ) {

/*--Add Logo--*/

    $wp_customize->add_section( 'cutheme_logo_section' , array(

    'title'       => __( 'Logo', 'cutheme' ),

    'priority'    => 30,

    'description' => 'Upload a logo to replace the default site name and description in the header',

) );

    $wp_customize->add_setting( 'cutheme_logo' );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'cutheme_logo', array(

    'label'    => __( 'Logo', 'cutheme' ),

    'section'  => 'cutheme_logo_section',

    'settings' => 'cutheme_logo',

) ) );



/*--Adjust Rates*/

    $wp_customize->add_section( 'cutheme_rate_section' , array(

    'title'       => __( 'Rates', 'cutheme' ),

    'priority'    => 30,

    'description' => 'Change the rates at the top of the header',

) );

    $wp_customize->add_setting( 'cutheme_vrate', array(

	'default' => '0.0',

) );

    $wp_customize->add_control( 'cutheme_vrate', array(

    'label'    => __( 'Vehicle Loan Rate', 'cutheme' ),

    'section'  => 'cutheme_rate_section',

    'settings' => 'cutheme_vrate',

) );

    $wp_customize->add_setting( 'cutheme_prate', array(

	'default' => '0.0',

) );

    $wp_customize->add_control('cutheme_prate', array(

    'label'    => __( 'Personal Loan Rate', 'cutheme' ),

    'section'  => 'cutheme_rate_section',

    'settings' => 'cutheme_prate',

) );

    $wp_customize->add_setting( 'cutheme_hrate', array(

	'default' => '0.0',

) );

    $wp_customize->add_control('cutheme_hrate', array(

    'label'    => __( 'Home Equity Rate', 'cutheme' ),

    'section'  => 'cutheme_rate_section',

    'settings' => 'cutheme_hrate',

) );

    $wp_customize->add_setting( 'cutheme_crate', array(

	'default' => '0.0',

) );

    $wp_customize->add_control('cutheme_crate', array(

    'label'    => __( 'Credit Card Rate', 'cutheme' ),

    'section'  => 'cutheme_rate_section',

    'settings' => 'cutheme_crate',

) );



//Social Media Customizer

	$wp_customize->add_section( 'my_social_settings', array(

	'title'          => 'Social Media Icons',

	'priority'       => 35,

	) );

	 

	$social_sites = my_customizer_social_media_array();

	$priority = 5;

	 

	foreach($social_sites as $social_site) {

	 

	$wp_customize->add_setting( "$social_site", array(

	'type'        => 'theme_mod',

	'capability'        => 'edit_theme_options',

	'sanitize_callback'        => 'esc_url_raw'

	) );

	 

	$wp_customize->add_control( $social_site, array(

	'label'   => __( "$social_site url:", 'social_icon' ),

	'section' => 'my_social_settings',

	'type'    => 'text',

	'priority'=> $priority,

	) );

	 

	$priority = $priority + 5;

	}

}

	

function cutheme_css_customize(){

	?>

	<?php

	}

add_action('wp_head', 'cutheme_css_customize');

add_action('customize_register', 'cutheme_theme_customizer');

// Function to Call Social Media Icons

// takes user input from the customizer and outputs linked social media icons

function my_social_media_icons() {

 

    $social_sites = my_customizer_social_media_array();

 

    // any inputs that aren't empty are stored in $active_sites array

    foreach($social_sites as $social_site) {

        if( strlen( get_theme_mod( $social_site ) ) > 0 ) {

            $active_sites[] = $social_site;

        }

    }

 

    // for each active social site, add it as a list item

    if(!empty($active_sites)) {

        echo "<div class='textwidget'><ul class='social'>";

foreach ($active_sites as $active_site) {?>

<li>

<a target="_blank" href="<?php echo get_theme_mod( $active_site ); ?>">

<?php if( $active_site == "vimeo") { ?>

<i class="fa fa-<?php echo $active_site; ?>-square"></i> <?php

} else { ?>

<i class="fa fa-<?php echo $active_site; ?>"></i><?php

} ?>

</a>

</li><?php

}

echo "</ul></div>";

}

}
