<!DOCTYPE html>

<html <?php language_attributes(); ?> id="top">

<head>

<link rel="apple-touch-icon" sizes="120x120" href="/apple-touch-icon.png">
<link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
<link rel="manifest" href="/site.webmanifest">
<link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5">
<meta name="msapplication-TileColor" content="#da532c">
<meta name="theme-color" content="#000">
<meta charset="<?php bloginfo( 'charset' ); ?>" />

<meta name='viewport' content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' />

<title><?php wp_title( ' | ', true, 'right' ); ?></title>

<link rel="stylesheet" type="text/css" href="<?php echo get_stylesheet_uri(); ?>" />

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>

<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/custom.js"></script>

<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/viewportchecker.js"></script>

<link href="//maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">

<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/responsive.css" type="text/css" />

<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/animate.css" type="text/css" />

<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,700' rel='stylesheet' type='text/css'>

<link href='https://fonts.googleapis.com/css?family=Oswald' rel='stylesheet' type='text/css'>

<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<div id="wrapper" class="hfeed">

<header id="header" role="banner">

<section id="main-bar-top">

	<div class="container">

		<div class="slideout-online-banking">

			<?php

		if(is_active_sidebar('online-banking')){

			dynamic_sidebar('online-banking');

		}

		?>

		</div>

		<div class="rates-header">

			<p class="featured-rates"><strong>Vehicle Loans:</strong> <?php echo get_theme_mod ('cutheme_vrate'); ?>% APR | <strong>Personal Loans:</strong> <?php echo get_theme_mod ('cutheme_prate'); ?>% APR | <strong>Home Equity LOC:</strong> <?php echo get_theme_mod ('cutheme_hrate'); ?>% APR | <strong>Credit Cards:</strong> <?php echo get_theme_mod ('cutheme_crate'); ?>% APR</p>  

		</div>

		<div class="social-header">

			<?php my_social_media_icons(); ?>

		</div>

		<div class="slideout-calc">

			<?php

		if(is_active_sidebar('borrow')){

			dynamic_sidebar('borrow');

		}

		?>

		</div>

	</div>

</div>

<section id="main-bar">

	<div class="container">

	<div class="logo">

				<a href='<?php echo esc_url( home_url( '/' ) ); ?>' title='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>' rel='home'><img src='<?php echo esc_url( get_theme_mod( 'cutheme_logo' ) ); ?>' alt='<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>'></a>

	</div>

	<div class="main-menu">

		<nav id="menu" role="navigation">

<?php quadmenu(array("theme_location" => "main-menu", "theme" => "default_theme")); ?>
<a href="#" class="toggle-mnu hidden-lg"><span></span></a>


</nav>

	</div>

</div>

</section>

</header>

<div id="container">